Subject: bug#41719: 28.0.50; [FR] emacsclient should provide '--name' option as emacs

From: Po Lu <[email-masked]>
Date: Sun, 12 Jun 2022 14:40:11 +0800

Eli Zaretskii <[email-masked]> writes:

> In addition, I don't think I understand what is the feature (in
> user-level terms, not in terms of X-specific internal details) is
> being sought out here.
>
> The discussion mentioned various options of Emacs and emacsclient,
> which are meant to support multiple Emacs servers running on the same
> system and the ability of emacsclient to connect to one specific
> server.  This functionality does work, so if that is not what is being
> requested here, then what is?  IOW, why is important what is the
> WM_CLASS of Emacs?

I think what Vladmir wants is for two copies of Emacs to be displayed as
two "different" applications by pagers and window managers, which rely
on the WM_CLASS property of a window to associate it with an
application.